<template>
  <section class="steps flex space-between">
    <div
        v-for="step in steps"
        :key="step.id"
        class="steps__item steps-item flex flex-col items-center"
        :class="{'_completed': step.id <= currentStep}"
    >
      <div class="steps-item__order"> {{ step.order }}</div>
      <div class="steps-item__name"> {{ step.name }}</div>
    </div>
  </section>
</template>

<script lang="ts">
import {computed, defineComponent} from 'vue';
import {useStore} from 'vuex'
import {stepNames} from '@/models/types'

export default defineComponent({
  setup() {
    const store = useStore()
    const currentStep = computed(() => store.getters.currentStep)
    const steps = [
      {
        id: 0,
        order: 1,
        name: stepNames.personalInfo,
      },
      {
        id: 1,
        order: 2,
        name: stepNames.membership,
      },
      {
        id: 2,
        order: 3,
        name: stepNames.overview,
      },
    ]
    return {steps, currentStep}
  }
});
</script>

<style scoped lang="scss">
@import "@/assets/variables.scss";

.steps {
  margin-top: auto;
  margin-bottom: 80px;
  max-width: 700px;
  width: 100%;

  &-item {
    position: relative;
    flex: 1;

    &::before {
      position: absolute;
      content: "";
      border-bottom: 2px solid $lightGray;
      width: 100%;
      top: 40px;
      left: -50%;
      z-index: 2;
    }

    &__name {
      font-size: 24px;
      line-height: 33px;
      color: #394556;
      font-weight: normal;
      margin-top: 16px;

      @media (max-width: 576px) {
        font-size: 18px;
        line-height: 24px;
        text-align: center;
      }
    }


    &__order {
      position: relative;
      z-index: 5;
      display: flex;
      justify-content: center;
      align-items: center;
      width: 80px;
      height: 80px;
      border-radius: 50%;
      border: 2px solid $lightGray;
      background: #EBEBEB;
      margin-bottom: 6px;
      font-size: 48px;
      line-height: 65px;
      color: $lightGray;
      font-weight: bold;
    }

    &._completed {

      &::before {
        border-bottom: 2px solid $blue;
      }

      & .steps-item__order {
        border: 2px solid $blue;
        color: $blue;
      }
    }

    &:first-child::before {
      content: none;
    }

    &:last-child::after {
      content: none;
    }
  }
}

</style>
